Macaulay2 » Documentation
Packages » Macaulay2Doc » map » Hom » Hom(Module,Matrix)
next | previous | forward | backward | up | index | toc

# Hom(Module,Matrix) -- induced map on Hom

- Function: Hom

## Description

## Synopsis

- Usage:
    `Hom(f,g)`
- Inputs:
  - f, a matrix,
  - g, a matrix,
  - DegreeLimit => ...
  - MinimalGenerators => ...
  - Strategy => ...
- Outputs:
  - a matrix, the map on Hom induced by the maps $f$ and $g$

## Synopsis

- Usage:
    `Hom(f,M)`
    `Hom(M,f)`
- Inputs:
  - f, a matrix,
  - M, a module,
  - DegreeLimit => ...
  - MinimalGenerators => ...
  - Strategy => ...
- Outputs:
  - a matrix, the map on Hom induced by the map $f$

    i1 : R = QQ[x]

    o1 = R

    o1 : PolynomialRing

    i2 : f = vars R

    o2 = | x |

                 1      1
    o2 : Matrix R  <-- R

    i3 : M = image f

    o3 = image | x |

                                 1
    o3 : R-module, submodule of R

    i4 : g = Hom(f,M)

    o4 = | x |

    o4 : Matrix

    i5 : target g

    o5 = image {-1} | x |

                                 1
    o5 : R-module, submodule of R

    i6 : source g

    o6 = image | x |

                                 1
    o6 : R-module, submodule of R

    i7 : R = QQ[x]

    o7 = R

    o7 : PolynomialRing

    i8 : f = vars R

    o8 = | x |

                 1      1
    o8 : Matrix R  <-- R

    i9 : M = image f

    o9 = image | x |

                                 1
    o9 : R-module, submodule of R

    i10 : g = Hom(M,f)

    o10 = {-1} | x |

                  1      1
    o10 : Matrix R  <-- R

    i11 : target g

           1
    o11 = R

    o11 : R-module, free, degrees {-1}

    i12 : source g

           1
    o12 = R

    o12 : R-module, free

## See also

- inducedMap -- compute an induced map

## Ways to use this method:

- `Hom(Matrix,Matrix)`
- `Hom(Matrix,Module)`
- Hom(Module,Matrix) -- induced map on Hom

The source of this document is in /build/macaulay2-88fgJW/macaulay2-1.25.11+ds/M2/Macaulay2/packages/Macaulay2Doc/functions/Hom-doc.m2:127:0.